﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals

	Private Root As B4XView
	Private xui As XUI

	
	Private ASScheduler_AgendaView1 As ASScheduler_AgendaView
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("frm_main")

	B4XPages.SetTitle(Me,"AgendaView Example")

	'Dim Start As Long = DateTime.now

	ASScheduler_AgendaView1.API.ClearAppointments
	ASScheduler_AgendaView1.API.ClearBlackouts
	
	Dim StartDate As Long = DateUtils.SetDateAndTime(DateTime.GetYear(DateTime.Now),DateTime.GetMonth(DateTime.Now),DateTime.GetDayOfMonth(DateTime.Now),8,0,0)
	
	ASScheduler_AgendaView1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 1","Description",xui.Color_ARGB(255,73, 98, 164),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_AgendaView1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 2","Description",xui.Color_ARGB(255,141, 68, 173),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_AgendaView1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 3","Description",xui.Color_ARGB(255,45, 136, 121),False,StartDate,StartDate + DateTime.TicksPerHour*1))
	ASScheduler_AgendaView1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test Appointment 4","Description",xui.Color_ARGB(255,140, 198, 101),False,StartDate + DateTime.TicksPerDay,StartDate + DateTime.TicksPerDay + DateTime.TicksPerHour*1))
	
	'Recurring
	ASScheduler_AgendaView1.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_AppointmentRecurring(0,"Recurring Appointment 1","Description",xui.Color_ARGB(255,85,139,110),False,StartDate + DateTime.TicksPerDay*7,StartDate + (DateTime.TicksPerDay*7) + DateTime.TicksPerHour*2,True,ASSchedulerUtils.Recurring_Week,1))
	
	'ASScheduler_AgendaView1.StartDate = DateTime.Now - DateTime.TicksPerDay
	
	Sleep(0)
	ASScheduler_AgendaView1.StartDate = DateTime.Now 'DateTime.Now is default
	ASScheduler_AgendaView1.CreateScheduler 'Makes the Scheduler visible

End Sub
#If B4I
Private Sub B4XPage_Resize (Width As Int, Height As Int)
	If Width < Height Then
		ASScheduler_AgendaView1.mBase.SetLayoutAnimated(0,0,0,Width,Height)
	Else
		ASScheduler_AgendaView1.mBase.SetLayoutAnimated(0,B4XPages.GetNativeParent(Me).SafeAreaInsets.Left,0,Width - B4XPages.GetNativeParent(Me).SafeAreaInsets.Left,Height)
	End If
	
End Sub
#End If
Private Sub ASScheduler_AgendaView1_AppointmentClick (Appointment As ASScheduler_Appointment)
	Log("AppointmentClick: " & Appointment.Name)
	'Log(DateUtils.TicksToString(Appointment.StartDate))
	wait for (xui.MsgboxAsync("AppointmentClick: " & Appointment.Name,"Test").As(Object)) Msgbox_Result (Result As Int)
End Sub

Private Sub ASScheduler_AgendaView1_WeekClick (StartDate As Long)
	Log("WeekClick: " & DateUtils.TicksToString(StartDate))
End Sub

Private Sub ASScheduler_AgendaView1_MonthClick (StartDate As Long)
	Log("MonthClick: " & DateUtils.TicksToString(StartDate))
End Sub

'Here you cann add layouts or custom views to the panels
Private Sub ASScheduler_AgendaView1_CustomDrawMonth (StartDate As Long,BackgroundPanel As B4XView)
	
	'Here you can add whatever you want
	'For example a ImageView with seasons pictures of the current month
	'Or a button
	'Or a complete layout
	
	'The BackgroundPanel already has a label
	Dim xlbl_CurrentMonth As B4XView = BackgroundPanel.GetView(0) 'The default label which shows the current month
	xlbl_CurrentMonth.Text = xlbl_CurrentMonth.Text
	
	'Add a custom item
'	Dim lbl As Label 
'	lbl.Initialize("")
'	Dim xlbl As B4XView = lbl
'	xlbl.Text = "This is a Custom Text " & DateUtils.TicksToString(StartDate)
'	xlbl.As(B4XView).TextColor = xui.Color_White
'	BackgroundPanel.AddView(xlbl,0,BackgroundPanel.Height - 20dip,BackgroundPanel.Width,20dip)
	
End Sub

Private Sub ASScheduler_AgendaView1_CustomDrawWeek (StartDate As Long,BackgroundPanel As B4XView)
	
	'The BackgroundPanel already has views
	'Displays for example: May 02 - 08
	Dim xlbl_WeekRangeText As B4XView = BackgroundPanel.GetView(0) 'Ignore
	'The green dot to indicate that this week is the current week
	Dim xpnl_CurrentDateIndicator As B4XView = BackgroundPanel.GetView(1) 'Ignore
	
End Sub

Private Sub ASScheduler_AgendaView1_CustomDrawEmptyState (StartDate As Long,BackgroundPanel As B4XView)
	
	'The BackgroundPanel already has views
	'Displays for example: No appointments available
	Dim xlbl_EmptyText As B4XView = BackgroundPanel.GetView(0) 'ignore
	
	
End Sub
